> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Asset Withdrawal Networks



## OpenAPI

````yaml /openapi.yaml get /exchanges/{exchangeId}/accounts/{accountId}/assets/{asset}/withdrawal-networks
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /exchanges/{exchangeId}/accounts/{accountId}/assets/{asset}/withdrawal-networks:
    get:
      tags:
        - Exchanges
      summary: List Asset Withdrawal Networks
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: exchangeId
          in: path
        - schema:
            type: string
            minLength: 1
          required: true
          name: accountId
          in: path
        - schema:
            type: string
            minLength: 1
          required: true
          name: asset
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Native
                          required:
                            - kind
                          title: Native assets
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Aip21
                            metadata:
                              type: string
                          required:
                            - kind
                            - metadata
                          title: Aptos Fungible Assets (AIP-21)
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Asa
                            assetId:
                              type: string
                          required:
                            - kind
                            - assetId
                          title: Algorand Standard Assets (ASAs)
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Cis2
                            tokenAddress:
                              type: string
                          required:
                            - kind
                            - tokenAddress
                          title: Concordium CIS-2 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc20
                                - Snip2
                                - Trc20
                            contract:
                              type: string
                          required:
                            - kind
                            - contract
                          title: EVM ERC-20/Starknet SNIP-2/TRON TRC-20 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc7984
                            contract:
                              type: string
                          required:
                            - kind
                            - contract
                          title: EVM ERC-7984 confidential tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Hts
                            tokenId:
                              type: string
                          required:
                            - kind
                            - tokenId
                          title: Hedera tokens (HTS)
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Iou
                            currency:
                              type: string
                            issuer:
                              type: string
                          required:
                            - kind
                            - currency
                            - issuer
                          title: XRP Ledger IOU tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Cip56
                            instrumentId:
                              type: string
                            instrumentAdmin:
                              type: string
                          required:
                            - kind
                            - instrumentId
                            - instrumentAdmin
                          title: Canton CIP-56 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Coin
                                - LockedCoin
                            coin:
                              type: string
                          required:
                            - kind
                            - coin
                          title: Sui/IOTA Coin assets
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Xls33
                            issuanceId:
                              type: string
                          required:
                            - kind
                            - issuanceId
                          title: XRP Ledger MPL (XLS-33) tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Asset
                            assetId:
                              type: string
                          required:
                            - kind
                            - assetId
                          title: Polymesh/Cardano assets
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Cis7
                            tokenId:
                              type: string
                          required:
                            - kind
                            - tokenId
                          title: Concordium PLTs ( CIS-7 tokens)
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Sep41
                            issuer:
                              type: string
                            assetCode:
                              type: string
                          required:
                            - kind
                            - issuer
                            - assetCode
                          title: Stellar SEP-41 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Trc10
                            tokenId:
                              type: string
                          required:
                            - kind
                            - tokenId
                          title: TRON TRC-10 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Spl
                                - Spl2022
                            mint:
                              type: string
                          required:
                            - kind
                            - mint
                          title: Solana SPL/SPL2022 tokens
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Tep74
                            master:
                              type: string
                          required:
                            - kind
                            - master
                          title: TON TEP-74 Jetton
                    - type: object
                      properties:
                        network:
                          $ref: '#/components/schemas/Network'
                        decimals:
                          type: number
                      required:
                        - network
                        - decimals
      security:
        - authenticationToken: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet3
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHolesky
        - EthereumHoodi
        - FantomOpera
        - FantomTestnet
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kaspa
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````